@charset "UTF-8";

/* ============================
   Responsive
============================ */

@media (max-width: 1050px) {
  .header_nav-list {
    gap: 0.7rem;
  }

  .footer .min-width460 {
    min-width: 0;
  }
}

/* =================================================
   Breakpoint: 900px
================================================= */

@media (max-width: 900px) {
  .header_inner {
    padding: 1rem 1.5rem;
  }

  /* ---------- PCナビ非表示 ---------- */
  .header_nav {
    display: none;
  }
  .hamburger {
    display: block;
  }

  /* ---------- SPナビ・アクション表示 ---------- */
  .header_actions {
    display: flex;
    align-items: center;
    gap: 12px;
  }

  /* ---------- spメニューOPEN時 ---------- */
  .header.is-open {
    background: transparent !important;
  }
  .header.is-open .header_logo {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
  }
  .header.is-open .header_actions .button {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
  }
  
  /* Hamburger最前面 */
  .header.is-open .hamburger {
    position: relative;
    z-index: 9999;
  }

  /* Button */
  .button {
    min-width: 9.285rem;
  }

  /* Hamburger */
  .hamburger {
    width: 40px;
    height: 40px;
    border: 1px solid #fff;
    border-radius: 999px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 6px;
    padding: 0;
    cursor: pointer;
  }

  .hamburger span {
    width: 16px;
    height: 1px;
    background: #fff;
  }

  .header.is-scrolled .hamburger {
    border-color: var(--main);
  }

  .header.is-scrolled .hamburger span {
    background: var(--main);
  }

  /* ---------- Interview ---------- */

  .interview_intro {
    flex-direction: column;
    padding: 0 var(--container-padding);
    align-items: center;
    gap: 0;
  }

  .column_images {
    flex-direction: column;
    gap: 16px;
  }

  /* ---------- Data ---------- */

  .data_list {
    grid-template-columns: 1fr;
  }

  /* ---------- 企業Profile ---------- */

  .profile_list div,
  .job_list div {
    flex-direction: column;
  }

  .profile_list dt,
  .job_list dt {
    width: 100%;
  }

  /* ---------- footer ---------- */

  .footer_inner {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 1rem;
    margin-bottom: 1rem;
  }

  .sp-only-footer,
  .sp-only-footer a img {
    display: block;
    text-align: center;
    margin: auto;
  }

  .sp-only-footer div {
    padding: 1rem;
  }

  .pc-only-footer {
    display: none;
  }
}

/* =================================================
   Breakpoint: 768px
================================================= */

@media (max-width: 768px) {
  .section {
    width: 100%;
    padding-top: var(--container-padding-sp);
    padding-bottom: var(--container-padding-sp);
    align-items: center;
  }

  .section_heading {
    gap: 0.8rem;
  }
  
  .section_number {
    font-size: 7rem;
  }
  
  .section_title {
    width: 12rem;
  }

  /* ---------- 見出し ---------- */

  h3 {
    font-size: 20px;
    text-align: center;
  }

  .company_inner h3,
  .training_inner h3 {
    font-size: 18px;
    text-align: left;
  }

  /* ---------- Hero SP ---------- */

  .hero {
    height: 680px;
  }

  .hero_content {
    position: relative;
  }

  .hero_movie {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }

  .hero_logo {
    position: absolute;
    left: 50%;
    top: 45%;
    transform: translate(-50%, -50%);
    width: 15.75rem;
    line-height: 0;
    text-align: center;
  }

  .hero_logo img {
    width: 100%;
    height: auto;
    display: block;
  }

  .hero_catch-vertical {
    position: absolute;
    display: inline-block;
    width: fit-content;
    left: 50%;
    top: calc(48% + 8rem);
    transform: translateX(-50%);
    writing-mode: vertical-rl;
    text-orientation: mixed;
  }

  /* ---------- Message ---------- */

  .lead_title {
    font-size: 56px;
    font-weight: 900;
  }

  .lead_subtext {
    font-size: 16px;
    letter-spacing: 10%;
  }

  .section_inner {
    flex-direction: column;
    align-items: center;
    gap: 0;
  }

  /* sticky解除 */
  .section_header {
    position: static !important;
    top: auto !important;
    width: fit-content;
    margin-inline: auto;
  }

  .message_image {
    height: 760px;
  }
  .message_image-bg {
    background-attachment: scroll;
    background-position: center top;
  }

  /* ---------- SP背景差し替え ---------- */

  .message_image--01 .message_image-bg {
    background-image: url("/recruit/common/img/image_01_sp.webp");
  }
  .message_image--02 .message_image-bg {
    background-image: url("/recruit/common/img/image_02_sp.webp");
  }
  .message_image--03 .message_image-bg {
    background-image: url("/recruit/common/img/image_03_sp.webp");
  }
  .message_image--04 .message_image-bg {
    background-image: url("/recruit/common/img/image_04_sp.webp");
  }

  .message_image-text {
    font-size: 16px;
    line-height: -0.875;
  }

  /* テキスト位置微調整 */
  .message_image--01 .message_image-text {
    top: 40%;
  }
  .message_image--02 .message_image-text {
    top: 60%;
  }
  .message_image--03 .message_image-text {
    top: 65%;
  }
  .message_image--04 .message_image-text {
    top: 80%;
  }

  /* ---------- Interview _margin-bottom ---------- */

  .section--works.works--01 {
    margin-bottom: var(--container-mgb80);
  }
  .section--works.works--02 {
    margin-bottom: var(--container-mgb80);
  }

  /* ---------- Interview 背景制御 ---------- */

  .section--works::before {
    display: none;
  }

  .section_header {
    position: static;
    width: 100%;
    margin-bottom: 24px;
  }

  .interview_intro {
    margin-bottom: calc(6rem + var(--container-mgb80));
  }

  .interview_intro::before {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    top: 0;
    height: 450px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 0;
  }

  .interview_intro.interview_intro--01::before {
    background-image: url("/recruit/common/img/int_1_main_sp.webp");
  }
  .interview_intro.interview_intro--02::before {
    background-image: url("/recruit/common/img/int_2_main_sp.webp");
  }
  .interview_intro.interview_intro--03::before {
    background-image: url("/recruit/common/img/int_3_main_sp.webp");
  }

  /* ---------- Interview Text ---------- */

  .interview_header {
    position: relative;
    z-index: 1;
    top: var(--container-padding-inner);
    padding-top: 1rem;
    margin-bottom: 23rem;
  }

  .interview_profile {
    text-align: center;
  }

  .interview_qa {
    gap: 3.5rem;
  }

  .interview_qa dt {
    text-align: center;
    font-size: 18px;
  }

  /* ---------- Table ---------- */

  .profile_list dt,
  .job_list dt {
    padding: 0.1rem 1.2rem;
    min-height: 24px;
  }

  .profile_list dd,
  .job_list dd {
    padding: 1rem 1.2rem;
    min-height: 3.5rem;
    line-height: 1.6;
  }

  /* ---------- Utility ---------- */

  .box-bg-orange {
    padding: 25px;
    margin-bottom: var(--container-mgb48);
  }

  .box-bg-orange h3 {
    margin-bottom: 20px;
    font-size: 22px;
  }

  .recruit h4 {
    font-size: 18px;
  }

  .box-bg-white {
    border-radius: 10px;
    padding: 1rem;
  }

  .box-bg-white h4 {
    margin-bottom: 15px;
    font-size: 14px;
  }

  .box-bg-white .recruit-tel {
    font-size: 30px;
    margin-bottom: 10px;
  }

  .column_movie {
    gap: 50px;
  }

  .movie_inner {
    padding: 100px var(--container-padding-inner);
  }

  .movie_inner h2 {
    margin-bottom: 50px;
  }

  .mgb-80 {
    margin-bottom: 4rem;
  }
  
  .mgb-200 {
    margin-bottom: 6.4rem;
  }

  .fs-20 {
    font-size: 14px;
    line-height: 1.4;
  }
}
